Issue 4475

Title
Allow change account move date
Priority
bug
Status
resolved
Nosy list
ced, jesteve, mar, resteve, rhertzog, roundup-bot
Assigned to
rhertzog
Keywords
patch, review

Created on 2015-01-10.20:04:58 by jesteve, last changed 91 months ago by roundup-bot.

Files

File name Uploaded Type Details
account.patch jesteve, 2015-01-27.17:39:56 text/plain view

Messages

New changeset 32ceadcd01cd by Rapha?l Hertzog in branch '3.4':
Preserve the user-supplied date on account moves when it's valid
http://hg.tryton.org/modules/account/rev/32ceadcd01cd

New changeset d5ed16b42907 by Rapha?l Hertzog in branch '3.2':
Preserve the user-supplied date on account moves when it's valid
http://hg.tryton.org/modules/account/rev/d5ed16b42907

New changeset d2014a8b38b0 by Rapha?l Hertzog in branch '3.0':
Preserve the user-supplied date on account moves when it's valid
http://hg.tryton.org/modules/account/rev/d2014a8b38b0

New changeset 6f64565f7092 by Rapha?l Hertzog in branch '2.8':
Preserve the user-supplied date on account moves when it's valid
http://hg.tryton.org/modules/account/rev/6f64565f7092

New changeset 3c982b595164 by Rapha?l Hertzog in branch '2.6':
Preserve the user-supplied date on account moves when it's valid
http://hg.tryton.org/modules/account/rev/3c982b595164
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2015-02-04.09:38:51
Author: [hidden] (mar)
Date: 2015-02-04.09:20:18
Looks like patch applies on 3.4 without conflicts
Author: [hidden] (rhertzog)
Date: 2015-02-04.09:09:50
Shall it stay open until it has been fixed in the 3.4 branch too?
Author: [hidden] (mar)
Date: 2015-02-04.07:56:36
I would treat this as bug instead of feature.
New changeset 35c0ddb4dc57 by Rapha?l Hertzog in branch 'default':
Preserve the user-supplied date on account moves when it's valid
http://hg.tryton.org/modules/account/rev/35c0ddb4dc57
Author: [hidden] (rhertzog)
Date: 2015-02-02.11:18:54
I suggest review10851002 as the proper fix for this very annoying bug. Please consider including it in 3.4 point release.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2015-01-29.12:16:04
All of them.
Author: [hidden] (jesteve)
Date: 2015-01-29.11:37:44
Which case is missing?
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2015-01-29.11:18:59
The patch proposed doesn't do at all what is describe here.
Author: [hidden] (jesteve)
Date: 2015-01-10.22:08:31
I agree. But if there is not any line, the date could be also the start period. So the date must be:
- the start period if there is no date and no last line
- the last line date if there is no date
- the start period if the date is outside the period
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2015-01-10.20:54:35
I think the date must be:
- the last line date if there is no date
- the start period if the date is outside the period
Author: [hidden] (jesteve)
Date: 2015-01-10.20:04:57
(trunk, 3.4, 3.2) It not possible to change the date in an account move, always is replaced by the date computed by on_change_with_date() method (the last one used in a move line of the same journal and period or the start of the period).

This behaviour does not allow introduce/create account moves in an specific date in the account move form. It can be only done in the account move line tree.

I suggest in on_change_with_date() method no compute the date if the field contains a date, adding:

        if date:
            return date
History
Date User Action Args
2015-02-10 00:24:23roundup-botsetmessages: + msg20125
2015-02-04 09:38:52cedsetstatus: chatting -> resolved
reviews: 5961002,10851002 -> 10851002
component: + account
messages: + msg20021
assignedto: jesteve -> rhertzog
2015-02-04 09:20:18marsetstatus: resolved -> chatting
messages: + msg20020
2015-02-04 09:09:51rhertzogsetstatus: chatting -> resolved
priority: feature -> bug
messages: + msg20019
2015-02-04 07:56:37marsetstatus: resolved -> chatting
nosy: + mar
messages: + msg20018
2015-02-02 18:44:37roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg19984
2015-02-02 11:22:35rhertzogsetreviews: 5961002 10851002 -> 5961002,10851002
2015-02-02 11:18:55rhertzogsetreviews: 5961002 -> 5961002 10851002
nosy: + rhertzog
messages: + msg19969
2015-01-29 12:16:05cedsetmessages: + msg19943
2015-01-29 11:37:45jestevesetmessages: + msg19938

Showing 10 items. Show all history (warning: this could be VERY long)